A Python module and native-code extension permitting Python programs to load and run Vamp plugins.

For code to support writing the plugins themselves in Python, see VamPy.

Depending on your platform, it may be possible to install this module from the PyPI repository. Try "pip install vamp" and see what happens!

The module should be compatible with both Python 2 and Python 3 and should work on at least Linux, OS/X, and Windows. Caveats: I've only made binary packages for Python 2 so far, and on Windows you will currently need to be using a 32-bit Python.

Code is beta-quality -- it has passed some tests, but who knows what might happen next.

Issue tracking

View all issues


Manager: Chris Cannam, Gyorgy Fazekas